org.apache.lucene.codecs.lucene50

## Class Lucene50DocValuesFormat

- java.lang.Object
- - org.apache.lucene.codecs.DocValuesFormat
  - - org.apache.lucene.codecs.lucene50.Lucene50DocValuesFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

  Deprecated.
  Only for reading old 5.0-5.3 segments

      @Deprecated
      public class Lucene50DocValuesFormat
      extends DocValuesFormat

  Lucene 5.0 Doc values format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene50DocValuesFormat()` Deprecated. Sole Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesConsumer` | `fieldsConsumer(SegmentWriteState state)` Deprecated.
    `DocValuesProducer` | `fieldsProducer(SegmentReadState state)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.DocValuesFormat

      `availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene50DocValuesFormat

          public Lucene50DocValuesFormat()

      Deprecated.
      Sole Constructor

  - ### Method Detail

    - #### fieldsConsumer

          public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                           throws IOException

      Deprecated.
      Specified by:
        `fieldsConsumer` in class `DocValuesFormat`
      Throws:
        `IOException`

    - #### fieldsProducer

          public DocValuesProducer fieldsProducer(SegmentReadState state)
                                           throws IOException

      Deprecated.
      Specified by:
        `fieldsProducer` in class `DocValuesFormat`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.